Bug 1018212 - kicstart: actual needed size not checked.
kicstart: actual needed size not checked.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 09:18 EDT by Ales Kozumplik
Modified: 2016-07-19 06:28 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:28:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.loog (6.83 KB, text/x-log)
2013-10-11 09:18 EDT, Ales Kozumplik
no flags Details

  None (edit)
Description Ales Kozumplik 2013-10-11 09:18:56 EDT
Created attachment 811095 [details]
anaconda.loog

The kickstart below won't proceed past the summary hub in 20-Beta-TC1, using yum payload.

What I see on the screen is: "Not enough space in filesystems for the current software selection. An additional 1 GB is needed."

Attaching the anaconda.log, it's full of:

13:11:48,731 INFO anaconda: fs space: 2 GB  needed: 3 GB

lines, but only 0.9 GB is needed for @Core.

*not a blocker material*

-----------------------

auth --useshadow
# Install OS instead of upgrade
install

# Use network installation
url --url="http://download.englab.brq.redhat.com/pub/fedora/linux/development/20/x86_64/os/"
# Keyboard layouts
keyboard --vckeymap=us --xlayouts='us'
# System language
lang en_US.UTF-8

# Root password
rootpw --plaintext sosfdjlfjkl432
# System timezone
timezone Europe/Prague --isUtc
user --name=foo --password=bar
# System bootloader configuration
bootloader --location=mbr --boot-drive=vda
# Partition clearing information
clearpart --all --initlabel

# partitioning
part / --size=2000
part /boot --size=500
part /home --size=1000
part /swap --size=1000

%packages
@Core
%end
Comment 1 Vratislav Podzimek 2013-10-17 10:17:07 EDT
The issue here is that in kickstart installations, software selection is checked (dependency solving and required space calculation) right before the actual installation process, i.e. after the Summary hub is left. So the Summary hub's check for required space uses the default value (3 GB) for required space.

I'm not sure how easy or hard it will be to move software selection check to the Summary hub for kickstart installations, though.
Comment 3 Jaroslav Reznik 2015-03-03 11:56:01 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 4 Fedora End Of Life 2016-07-19 06:28:50 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.